# Uses of Interface
org.apache.lucene.monitor.TermWeightor

- ## Uses of TermWeightor in org.apache.lucene.monitor

  Fields in org.apache.lucene.monitor declared as TermWeightor
  Modifier and Type
  Field
  Description
  `static final TermWeightor`
  TermWeightor.`DEFAULT`
  A default TermWeightor based on token length
  `static final TermWeightor`
  TermFilteredPresearcher.`DEFAULT_WEIGHTOR`
  The default TermWeightor, weighting by token length
  Methods in org.apache.lucene.monitor that return TermWeightor
  Modifier and Type
  Method
  Description
  `static TermWeightor`
  TermWeightor.`combine(TermWeightor... weightors)`
  Combine weightors by multiplication
  `static TermWeightor`
  TermWeightor.`fieldWeightor(double weight, String... fields)`
  QueryTerms with a field from the selected set will be assigned the given weight
  `static TermWeightor`
  TermWeightor.`fieldWeightor(double weight, Set<String> fields)`
  QueryTerms with a field from the selected set will be assigned the given weight
  `static TermWeightor`
  TermWeightor.`lengthWeightor(double a, double k)`
  QueryTerms will be assigned a weight based on their term length
  `static TermWeightor`
  TermWeightor.`termAndFieldWeightor(double weight, Set<Term> terms)`
  QueryTerms with a term and field value from the selected set will be assigned the given weight
  `static TermWeightor`
  TermWeightor.`termAndFieldWeightor(double weight, Term... terms)`
  QueryTerms with a term and field value from the selected set will be assigned the given weight
  `static TermWeightor`
  TermWeightor.`termFreqWeightor(Map<String,Integer> frequencies, double n, double k)`
  QueryTerms will be assigned a weight based on their term frequency
  `static TermWeightor`
  TermWeightor.`termWeightor(double weight, Set<BytesRef> terms)`
  QueryTerms with a term value from the selected set will be assigned the given weight
  `static TermWeightor`
  TermWeightor.`termWeightor(double weight, BytesRef... terms)`
  QueryTerms with a term value from the selected set will be assigned the given weight
  Methods in org.apache.lucene.monitor with parameters of type TermWeightor
  Modifier and Type
  Method
  Description
  `static TermWeightor`
  TermWeightor.`combine(TermWeightor... weightors)`
  Combine weightors by multiplication
  `static QueryTree`
  QueryTree.`conjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a conjunction of a set of child nodes
  `static QueryTree`
  QueryTree.`disjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a disjunction of a set of child nodes
  `QueryTree`
  CustomQueryHandler.`handleQuery(Query query, TermWeightor termWeightor)`
  Builds a `QueryTree` node from a query
  `QueryTree`
  RegexpQueryHandler.`handleQuery(Query q, TermWeightor termWeightor)`
  `static QueryTree`
  QueryTree.`term(Term term, TermWeightor weightor)`
  Returns a leaf node for a particular term
  Method parameters in org.apache.lucene.monitor with type arguments of type TermWeightor
  Modifier and Type
  Method
  Description
  `static QueryTree`
  QueryTree.`conjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a conjunction of a set of child nodes
  `static QueryTree`
  QueryTree.`disjunction(List<Function<TermWeightor,QueryTree>> children, TermWeightor weightor)`
  Returns a disjunction of a set of child nodes
  Constructors in org.apache.lucene.monitor with parameters of type TermWeightor
  Modifier
  Constructor
  Description
  ``
  `MultipassTermFilteredPresearcher(int passes, float minWeight, TermWeightor weightor, List<CustomQueryHandler> queryHandlers, Set<String> filterFields)`
  Construct a new MultipassTermFilteredPresearcher
  ``
  `TermFilteredPresearcher(TermWeightor weightor, List<CustomQueryHandler> customQueryHandlers, Set<String> filterFields)`
  Creates a new TermFilteredPresearcher